Subject: Re: gdb/CYGWIN
From: "Ed Bradford/Raleigh/IBM" <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Oct 2000 14:05:22 -0400

Strange stuff. I think it has to do with stdio.

     gdb -nw granular-gcc.exe
     break main
     run
(breaks at main)
     disassemble main
     0x40107c <main>:
     0x40107d <main+1>:
     ... (more addresses, no instructions)
     push %ebpmov %esp,%ebpsub $0x28,$espcall 0x401170 <__main>movl
$0s0,...

It prints a bunch of addresses, then it prints the assembly language.

Continuing, I hit stepi and it prints C language lines (compiled with -g).
It prints the lines multiple times
because there are probably multiple assembly language instructions on for
some C lines. It gets
to GetTickCount() and I stepi into it. Gdb -nw says
     0x401300 in GetTickCount@0 ()
Then I type
     disassemble GetTickCount
and it says
     No symbol "GetTickCount" in current context.

I don't know what is going on here.

Ed

PS. On the assembly language print out issue. there is another
manifestation of a stdio issue. The
DC program waits until I exit before it prints anything. Somehow, it thinks
it's writing to a buffered stream and does not
emit stuff to the bash or cmd.exe console screen until exit.

Your Windows 2000 Arborist
T/L 589-4410; Outside: 1-919-993-4410
[email-masked]

Earnie Boyd <[email-masked]> on 10/17/2000 01:44:45 PM

To:   Ed Bradford/Raleigh/IBM@IBMUS, [email-masked]
cc:
Subject:  Re: gdb/CYGWIN

--- Ed Bradford/Raleigh/IBM <[email-masked]> wrote:
> I recently tried to single step CYGWIN's GDB through a Microsoft DLL.
> Specifically, I wanted
> to see the assembly language instructions of GetTickCount() (which is
only
> 4 instructions long).
> When gdb got to the GetTickCount() call, it quit single stepping in
> assembly language and asked me
> to
>      Select function name to disassemble
>

What happens if you try it with `gdb -nw'?

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Messenger - Talk while you surf!  It's FREE.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]